<?php
 /**

 */

  date_default_timezone_set('America/Costa_Rica');

	include ("../conexion.php");

	$codfactura=$_GET["codfactura"];
	$horaactual = date("h:i:s A");

   
    $consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
		 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];
		 $tipimp = $fila["TIPIMP"];
		 $tipo_comprobante=$fila["tipcomprobante"];


   $consulta ="SELECT * FROM pedidos WHERE codfactura='$codfactura'";
	  $result = $mysqli->query($consulta);
      $row = $result->fetch_array();

        $marcaestado = $row["estado"];
        $marcaborrado = $row["borrado"];
        $horfac = $row["horfac"];
        $fecha = $row["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $row["cdgtipven"];
		$numfactura = $row["numfactura"];
	//	$numfactura    = substr($numfactura, -10);
		$cdgcli = $row["cdgcli"];
		$dsccli = $row["dsccli"];
        $fecven = $row["fechavencimiento"];
		$fecven= implode("-", array_reverse(explode("-", $fecven)));
		$codfactura = $row["codfactura"];
		$cdgcaj = $row["cdgven"];
		$obsfac = $row["obsfac"];
		$pagacon = $row["pagacon"];
		$vuelto = $row["vuelto"];
		$numcomp =  $row['numcomp'];
		$cdgclave =  $row['cdgclave'];

		
	////////////////////////////////////////////// IMPRIME CONSECUTIVO DE LOS COMPROBANTES SEGUN EMISOR  /////////////////////////////////////////////////////
if ($tipo_comprobante == "04" )  {	 // si el tipo de comprobante es tiquete 
    
	 if ( $cdgcli=="9999")  {    // define el consecutivo   
		$tipofactura="PEDIDO";
	} else {
		$tipofactura="PEDIDO";	
		} 
		
	 } else {   // si el comprobante es factura electronica 	
	   $tipofactura="FACTURA";	
	 } 


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  	 if ($cdgcli == 9999) {

	  $cliente ="Select * from pedidos, web_0301 where pedidos.codfactura=$codfactura and pedidos.cdgcli= $cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $dsccli = $row2["dsccli"];			  
		


	} else {



      $cliente ="Select * from pedidos, web_0301 where pedidos.codfactura=$codfactura and pedidos.cdgcli= web_0301.cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $dircli = $row2["DIRCLI"];
	  $cedcli = $row2["CEDCLI"];
	  $numtel = $row2["NUMTEL"];
	
				 
		
        }  
		
		if ($cdgtipven == 1 ) { $tipo_venta=" CONTADO N. "; $vencimiento ="                 ";} else { $tipo_venta=" CREDITO N. ";   $vencimiento ="Vence: ". $fecven; }
        

 		$usuario = "SELECT * FROM usuarios WHERE codusu='$cdgcaj'";
		$resultado3 = $mysqli->query($usuario);
		$row3 = $resultado3->fetch_array();
		$vendedor = $row3["usu"];

 echo $ip = $_SERVER["REMOTE_ADDR"];


if ( $ip =="127.0.0.1"){

echo $puerto="LPT1";

  } else {
  
echo $puerto="LPT1";


  }  


if ( $ip =="192.168.1.45"){

echo $puerto="LPT6";

  }


if(($handle = @fopen("$puerto", "w")) === FALSE){
        echo exec('Impresoras');
	
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');





if ($cdgtipven==1) { 

fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON

}

		$subtotal        = 0;
		$impuesto_venta  = 0;
		$total_descuento = 0;
		$total           = 0;


if ($tipimp=="MATRIX"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////



   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 



//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura = $tipofactura." CREDITO N  ".$numfactura;
	    $venfac = str_pad("Cajero: " . $vendedor , 19);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."            ".$horaactual);

 if ( $cdgcli!="9999")  {    // imprime datos del cliente si es diferente  a estimado cliente   

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);

}


fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codfactura' AND pedidos_lineas.codigo=web_1001.cdgbar ORDER BY pedidos_lineas.dscart ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		$ivporc    = $fila["ivporc"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
	echo	$cantidad=number_format($cantidad,2,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
        
        $prenivi=number_format($prenivi,2,".",",");
	$prenivi=sprintf("%13s",$prenivi) ;	


$sublin=sprintf("%13s",$resultado) ;

   $acotado = str_pad($dscart, 30);
   
   
   fwrite($handle, chr(27). chr(97). chr(0));//derecha		
   fwrite($handle, $canart ."". $acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(2));//Derecha 
   fwrite($handle, "Precio:".$prenivi." ".$sublin." ".$impart.round($ivporc));	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, "ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, "AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, "COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, "RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, "DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, "EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, "GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, "FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, "FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle,"________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "clave:".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"       (E) Exento - (G) Gravado        "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


//
//
////////////////////////////////// 2 segunda copia del cliente ////////////////////////////////////////////////////////
//
//
////fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
//fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
//fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
//fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
//fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
//
//fwrite($handle, $nomcom);
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
////fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
////fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
//fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
//fwrite($handle, $razsoc);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"        Cedula : ". $cedjur);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, $diremp);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"  Tel. ".$numtel_empresa);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, $tipo_venta);
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
//fwrite($handle, chr(27). chr(97). chr(2));//derecha
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//	  $factura = str_pad("N. Factura: ".$numfactura, 23);
//	    $venfac = str_pad("Cajero: " . $vendedor , 23);
//fwrite($handle,$factura);
//fwrite($handle,"Fecha: ". $fecha);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(0));//izquierda
//fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
//fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
//fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(2));//derecha
//fwrite($handle, $venfac);
//fwrite($handle, $vencimiento);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
//fwrite($handle,"Articulo    "."          Cant."."       Precio");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
//fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//
// $sel_lineas="SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codfactura' AND pedidos_lineas.codigo=web_1001.cdgbar ORDER BY pedidos_lineas.dscart ASC";
//$rs_lineas=mysql_query($sel_lineas);
//						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
//							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
//							//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
//							//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
//							//$codarticulo=mysql_result($rs_lineas,$i,"codarticulo");
//						echo	$cdgbar=mysql_result($rs_lineas,$i,"cdgbar");
//						echo	$dscart=mysql_result($rs_lineas,$i,"dscart");
//						echo	$cantidad=mysql_result($rs_lineas,$i,"cantidad");
//						echo	$preivi=mysql_result($rs_lineas,$i,"preivi");
//						echo	$prenivi=mysql_result($rs_lineas,$i,"prenivi");
//						echo	$importe=mysql_result($rs_lineas,$i,"importe");
//						echo	$impuesto=mysql_result($rs_lineas,$i,"impuesto");
//						echo	$descuento=mysql_result($rs_lineas,$i,"mondes");
//					
//				echo	$subtotal=$subtotal + $importe;
//				echo	$impuesto_venta=$impuesto_venta + $impuesto;
//				echo	$total_descuento=$total_descuento + $descuento;
//					  
//						
//					if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
//$sublin=$importe + $impuesto;
//// formula inserta espacion ///
//
//$tamaño=strlen($cantidad);
//if($tamaño==4)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 22);
// $canart = str_pad($cantidad, 4); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
// 
// if($tamaño==5)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 21);
// $canart = str_pad($cantidad, 5); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
// 
//  if($tamaño==6)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 20);
// $canart = str_pad($cantidad, 6); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
// 
//   if($tamaño==7)   {  
//  $acotado = substr(mysql_result($rs_lineas,$i,"dscart")." ", 0, 18);
// $acotado = str_pad($acotado, 19);
// $canart = str_pad($cantidad, 7); 
// $resultado=number_format($sublin,2,".",",");
// $sublin=sprintf("%13s",$resultado) ;
// } 
//  
//		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
//   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	
//
//
//   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//
//
//					
//					
//								
//				 } 
//				 
//				 
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle,"----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
////$resultado=number_format($subtotal,2,".",",");
////$sublin=sprintf("%13s",$resultado) ;
////fwrite($handle,"       Subtotal:  ");
////fwrite($handle,$sublin);
//
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
////fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
////$total_desc=number_format($total_descuento,2,".",",");
////$descuento=sprintf("%13s",$total_desc) ;
////fwrite($handle,"       Descuento:  ");
////fwrite($handle, $descuento);
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
////$impuesto=number_format($impuesto_venta,2,".",",");
////$impuesto_venta=sprintf("%13s",$impuesto) ;
////fwrite($handle,"       I.V.A :  ");
////fwrite($handle, $impuesto_venta);
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//
//
//$total=sprintf("%13s",$total_neto) ;
//
//fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
//fwrite($handle,"TOTAL NETO:  ");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $total);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
//
//
//
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, $numofi  );
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, "----------------------------------------");
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"   (E) Exento - (G) Gravado ( I.V.I )"  );
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
////fwrite($handle,$horaactual);
////fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"Gracias Por Preferirnos"  );
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
//fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel / 1 SOLO CORTE




 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////
 
 
 //fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CONTADO N  ".$numfactura;
	    $venfac = str_pad("Cajero: " . $vendedor , 19);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."            ".$horaactual);



fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);


fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

	
$consulta3 = "SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codfactura' AND pedidos_lineas.codigo=web_1001.cdgbar ORDER BY pedidos_lineas.dscart ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		$ivporc    = $fila["ivporc"];					
					
				echo	$subtotal=$subtotal + $importe;
				echo	$impuesto_venta=$impuesto_venta + $impuesto;
				echo	$total_descuento=$total_descuento + $descuento;
					    $total=$subtotal-$total_descuento+$impuesto_venta;
						$cantidad=number_format($cantidad,2,'.',',');
						$total=round($total);
						
						if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

     $prenivi=number_format($prenivi,2,".",",");
	$prenivi=sprintf("%13s",$prenivi) ;	
	
 
   $acotado = str_pad($dscart, 30);
   
   
   fwrite($handle, chr(27). chr(97). chr(0));//derecha		
   fwrite($handle, $canart ."". $acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(2));//Derecha 
   fwrite($handle, "Precio:".$prenivi." ".$sublin." ".$impart.round($ivporc));
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   
				
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto) ;
fwrite($handle,"Paga con:  ");
fwrite($handle,$pagado);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio) ;
fwrite($handle,"Vuelto:  ");
fwrite($handle,$saldo);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "clave:".$cdgclave);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


} 

}//**********************************  Cierra tipo de impresora MATRIX ****************************************//

if ($tipimp=="TERMICA"){  //  ************************Si la impresora es TIPO TERMICA ****************************///////////////



fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
//fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
//fwrite($handle, chr(27). chr(97). chr(1));//centrado
//fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);


fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  $razsoc);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  $diremp);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"--------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
	  $factura = $tipofactura.$tipo_venta.$numfactura;
fwrite($handle, $factura );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("Cajero: " . $vendedor ,27);
fwrite($handle,"Fecha: ". $fecha."              ".$horaactual);

  $dsccli = substr($dsccli." ", 0,30);
  


fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);

  

fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha

fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"--------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"--------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


$consulta3 = "SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codfactura' AND pedidos_lineas.codigo=web_1001.cdgbar ORDER BY web_1001.dscart ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		$ivporc    = $fila["ivporc"];	
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
	echo	$cantidad=number_format($cantidad,2,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
        
        $prenivi=number_format($prenivi,2,".",",");
	$prenivi=sprintf("%13s",$prenivi) ;	


$sublin=sprintf("%13s",$resultado) ;

   $acotado = str_pad($dscart, 22);
   
   
   fwrite($handle, chr(27). chr(97). chr(0));//derecha		
   fwrite($handle, $canart ."". $acotado."________");	

   fwrite($handle, chr(27). chr(97). chr(2));//Derecha 
  
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


							
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel
}//**********************************  Cierra tipo de impresora TERMICA ****************************************//

	
if ($tipimp=="BEMANTECH"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////



   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 



//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON


fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CREDITO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codfactura' AND pedidos_lineas.codigo=web_1001.cdgbar ORDER BY pedidos_lineas.dscart ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		$ivporc    = $fila["ivporc"];	
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
        $cantidad=number_format($cantidad,2,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart.round($ivporc));
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------");
fwrite($handle, "ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, "AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, "COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, "RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, "DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, "EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, "GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, "FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, "FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle,"_______________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"       (E) Exento - (G) Gravado        "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel




//////////////////////////////// 2 segunda copia del cliente ////////////////////////////////////////////////////////


//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"  Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CREDITO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$subtotal=0;
$impuesto_venta=0;
$total_descuento=0;
$total==0;
$consulta3 = "SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codfactura' AND pedidos_lineas.codigo=web_1001.cdgbar ORDER BY pedidos_lineas.dscart ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		$ivporc    = $fila["ivporc"];	
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
        $cantidad=number_format($cantidad,2,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart.round($ivporc));
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

					
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------");

fwrite($handle, chr(27). chr(97). chr(1));//centrado

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "Clave: ".$cdgclave );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado     "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel / 1 SOLO CORTE




 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////
 
 
 //fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON

fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $diremp);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura." CONTADO N  ".$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);


 if ( $cdgcli!="9999")  {    // imprime datos del cliente si es diferente  a estimado cliente   

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);

} 

fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

	
$consulta3 = "SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codfactura' AND pedidos_lineas.codigo=web_1001.cdgbar ORDER BY pedidos_lineas.dscart ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		$ivporc    = $fila["ivporc"];	
							
					
				echo	$subtotal=$subtotal + $importe;
				echo	$impuesto_venta=$impuesto_venta + $impuesto;
				echo	$total_descuento=$total_descuento + $descuento;
					    $total=$subtotal-$total_descuento+$impuesto_venta;
						$cantidad=number_format($cantidad,2,'.',',');
						$total=round($total);
						
			if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
$sublin=$importe;
// formula inserta espacion ///

      
  
	  $codigo = str_pad($cdgbar, 15);
	$canart = str_pad($cantidad, 10); 
	
	$resultado=number_format($sublin,2,".",",");
	
	

$sublin=sprintf("%13s",$resultado) ;

 
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $canart ."". $codigo ."". $sublin." ".$impart.round($ivporc));
  $acotado = substr($dscart." ", 0, 40);

   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
   fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
    fwrite($handle,$acotado);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
		
					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"-----------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V.A :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto) ;
fwrite($handle,"Paga con:  ");
fwrite($handle,$pagado);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio) ;
fwrite($handle,"Vuelto:  ");
fwrite($handle,$saldo);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"-----------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "Clave: ".$cdgclave );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"   (E) Exento - (G) Gravado "  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, $numofi );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"-----------------------------------------------");
//fwrite($handle,$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


} 

}//**********************************  Cierra tipo de impresora MATRIX ****************************************//	
		 
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN
echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

?>

 